Membership
/- Re-runs flowdown for all organizations in the system
Creates a new membership record that does not already exist.
Activate membership
Execute Batch Operations
Downloads a Certificate
Returns a list of records with the specified chapter_id
Gets a membership by contact
Given a set of expiration options, allows for the calculation of an expiration date
Generates a PDF for the ID Card and returns the public link for download
Generates snapshot lookback for a tenant
Returns a list of records with the specified order_id
Gets a membership by organization
Returns a list of records with the specified parent_membership_id
Returns a membership from the system by its ID for a given contact.
Sends out a preview of the CRC notification certificate
Sends out a preview of the CRC notification email
Sends out a preview of the CRC notification email
Sends out a preview of the CRC notification email
Searches for memberships using predefined parameters
Returns a list of records with the specified section_id
Returns a membership from the system by its ID.
Returns a membership from the system by its ID.
Partially updates a membership with the specified ID.
Updates a membership with the specified ID.
Re-runs flowdown for all...
Given a set of expiration options, allows for the calculation of an expiration date
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/memberships/{tenantId}/reprocessFlowDown
- https://membership.api.rhythmsoftware.comhttps://membership.api.rhythmsoftware.com/memberships/{tenantId}/reprocessFlowDown
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/memberships/{tenantId}/reprocessFlowDown' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"notification_email": "string"
}'Response
"string"